package br.gov.serpro.expresso.cte.common;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.firefox.FirefoxDriver;
import org.openqa.selenium.support.PageFactory;
import org.testng.annotations.AfterClass;
import org.testng.annotations.BeforeClass;

import br.gov.serpro.expresso.cte.pages.email.LoginPage;

/**
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Jan 4, 2011 at 3:53:19 PM
 * 
 */
public class BaseTestCase implements Constants {
	protected WebDriver driver;

	@BeforeClass
	public void beforeClass() {
		driver = new FirefoxDriver();
		driver.get(URL);
	}

	public void login() {
		LoginPage page = PageFactory.initElements(driver, LoginPage.class);
		page.login(USER, PASS);
	}

	@AfterClass
	public void afterClass() {
		driver.close();
	}

	/**
	 * TODO Rever esse metodo. Foi o unico jeito que consegui fazer pegar o
	 * numero total de mensagens importantes. O metodo apenas aguarda 5 segundos
	 * antes de continuar a execucao.
	 * 
	 * @throws Exception
	 * 
	 * @see br.gov.serpro.cte.email.listar.ListarEmailsImportantesTestCase
	 */
	public void dummyWait() throws Exception {
		dummyWait(5);
	}

	/**
	 * @param seconds
	 * @throws Exception
	 */
	public void dummyWait(int seconds) throws Exception {
		for (int second = 0;; second++) {
			if (second >= seconds) {
				System.out.println("timeout");
				return;
			}
			Thread.sleep(1000);
		}

	}

}
